// EdIRQuer.cpp : implementation file
//

#include "stdafx.h"

#include "Defines.hpp"

#ifdef D_ED_IR_ACTIVE

#include "ai_intf.hpp"
#include "EdIRQuer.hpp"

#include "EDACDoc.hpp"

#include "x:\cpa\main\inc\_EditID.h"

//*******************************************************************************
EdActors_MyDocument *fn_pclGetEdActorsDocument()
{
	CPA_DLLBase	*pclActorDLL=(CPA_DLLBase*)(g_pclAIInterface->GetMainWorld()->GetObjectDLLWithName(C_szDLLActorName));

	if(pclActorDLL!=NULL)
	{
		return (EdActors_MyDocument *)pclActorDLL->OnQueryAction(g_pclAIInterface,C_uiActor_GetDocument,0);
	}
	else
		return NULL;
}

#endif //D_ED_IR_ACTIVE
